#include <bits/stdc++.h>

using namespace std;

int main() 
{
  ios::sync_with_stdio(0);
  cin.tie(0);
  long double p,q,r,N,b=0;
  long long L,R,n,i;
  cin>>p>>q>>r>>L>>R;
  n=R-L+1;
  long double a[n];
  for(i=0;i<n;i++)
  {
    a[i]=L+i;
  }
  for(i=0;i<n;i++)
  {
    if((ceil(a[i]/p)+ceil(a[i]/q)+ceil(a[i]/r))<=a[i])
    {
      b++;
    }
  }
  cout<<b;
}